/****************************************
*  Computer Algebra System SINGULAR     *
****************************************/
/* $Id: eigenval_ip.h 12231 2009-11-02 10:12:22Z hannes $ */
/*
* ABSTRACT: eigenvalues of constant square matrices
*/

#ifndef EIGENVAL_IP_H
#define EIGENVAL_IP_H
#ifdef HAVE_EIGENVAL
#include "singular/eigenval.h"

BOOLEAN evSwap(leftv res,leftv h);
BOOLEAN evRowElim(leftv res,leftv h);
BOOLEAN evColElim(leftv res,leftv h);
BOOLEAN evHessenberg(leftv res,leftv h);
lists evEigenvals(matrix M);
BOOLEAN evEigenvals(leftv res,leftv h);

#endif /* ifdef HAVE_EIGENVAL */
#endif /* EIGENVAL_IP_H */
